#ifndef ROOT_Example2
#define ROOT_Example2

#include <iostream>
#include <iomanip>
#include <stdio.h>

#include "TFile.h"
#include "TString.h"
#include "TTree.h"
#include "TBranch.h"

#include "JZEvent.h"

using namespace std;

class Example2 {
  private:
    int nlep;
    TFile *hfile;
    TTree *tree;
    JZEvent *event;
    int fVerbose;
    int nb;

  public:
    Example2();
    virtual ~Example2();
    void SetVerbose(int i) { fVerbose = i; }
    void SetExample2();   // initialize the tree
    void FillJZEvent();  // fill one event
    void SetNlep(int i) { nlep = i; }
    void EndJob();

  ClassDef(Example2,1)
};

#endif
