void analyze()
{
    TFile *f = new TFile("./JZEvent.root");
    f->ls();
    gSystem->Load("./JZEvent.so");

//   Read Tree named "T" in memory. Tree pointer is assigned the same name
    TTree *Tree = (TTree*) f->Get("Tree");
    JZEvent *evt = new JZEvent();
    Tree->SetBranchAddress("event", &evt);

    int nentries = Tree->GetEntries();
    int nb = 0;
    for (Int_t jentry=0; jentry<nentries; jentry++) {
        nb += Tree->GetEntry(jentry);
        evt->EvtHdr()->Print();
        evt->Clear();
    }

    f.Close();
}
