#ifndef ROOT_Example
#define ROOT_Example

#include <iostream>
#include <iomanip>
#include <stdio.h>

#include "TFile.h"
#include "TString.h"
#include "TTree.h"
#include "TBranch.h"

#include "JZEvent.h"
#include "Lepton.h"

using namespace std;

class Example {
  private:
    Lepton lep[100];
    int nlep;
    TFile *hfile;
    TTree *tree;
    JZEvent *event;
    int fVerbose;
    int nb;

  public:
    Example();
    virtual ~Example();
    void SetVerbose(int i) { fVerbose = i; }
    void SetLepton(int);
    void SetExample();   // initialize the tree
    void FillJZEvent();  // fill one event
    void SetNlep(int i) { nlep = i; }
    void EndJob();

  ClassDef(Example,1)
};

#endif
